using Godot;

namespace Cirno._3D.TrenchBroom.EntityScripts.Lights;

[Tool]
public partial class SpecialSubSpotLight : SpotLight3D
{
	public override void _Ready()
	{
		var parent = GetParent<OmniLight3D>();
		this.SpotRange = parent.OmniRange;
		this.SpotAttenuation = parent.OmniAttenuation;
	}

}